--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are from The Burning Crusade.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_TBC(itemID)
	for _,v in pairs(SmexyMats.TBC_ReagentIDs) do
		if (tonumber(itemID) == v) then 
			return true; 
		end; 
	end;
	return false;
end;

SmexyMats.TBC_ReagentIDs = {
	
	--Alchemy
		28103,	--	Adept's Elixir
		13503,	-- 	Alchemist Stone
		35751,	--	Assassin's Alchemist Stone
		32839,	--	Cauldron of Major Arcane Protection
		32849,	--	Cauldron of Major Fire Protection
		32850,	--	Cauldron of Major Frost Protection
		32851,	--	Cauldron of Major Nature Protection
		32852,	--	Cauldron of Major Shadow Protection
		22839,	--	Destruction Potion
		32063,	--	Earthen Elixir
		22823,	--	Elixir of Camouflage
		32067,	--	Elixir of Draenic Wisdom
		22848,	--	Elixir of Empowerment
		22825,	--	Elixir of Healing Power
		32068,	--	Elixir of Ironskin
		22831,	--	Elixir of Major Agility
		22834,	--	Elixir of Major Defense
		22833,	--	Elixir of Major Firepower
		32062,	--	Elixir of Major Fortitude
		22827,	--	Elixir of Major Frost Power
		22840,	--	Elixir of Major Mageblood
		22835,	--	Elixir of Major Shadow Power
		22824,	--	Elixir of Major Strength
		28104,	--	Elixir of Mastery
		22830,	--	Elixir of the Searching Eye
		31677,	--	Fel Mana Potion
		31676,	--	Fel Regeneration Potion
		31679,	--	Fel Strength Elixir
		22861,	--	Flask of Blinding Light
		22851,	--	Flask of Fortification
		22853,	--	Flask of Mighty Versatility
		22866,	--	Flask of Pure Death
		22854,	--	Flask of Relentless Assault
		22838,	--	Haste Potion
		22837,	--	Heroic Potion
		22828,	--	Insane Strength Potion
		22849,	--	Ironshield Potion
		34440,	--	Mad Alchemist's Potion
		22845,	--	Major Arcane Protection Potion
		22836,	--	Major Dreamless Sleep Potion
		22841,	--	Major Fire Protection Potion
		22842,	--	Major Frost Protection Potion
		22847,	--	Major Holy Protection Potion
		22844,	--	Major Nature Protection Potion
		22846,	--	Major Shadow Protection Potion
		31080,	--	Mercurial Stone
		28102,	--	Onslaught Elixir
		35750,	--	Redeemer's Alchemist Stone
		22871,	--	Shrouding Potion
		22826,	--	Sneaking Potion
		35749,	--	Sorcerer's Alchemist Stone
		22829,	--	Super Healing Potion
		22832,	--	Super Mana Potion
		22850,	--	Super Rejuvenation Potion
		28101,	--	Unstable Mana Potion
		28100,	--	Volatile Healing Potion

	--Blacksmithing
		23507,	--	Adamantite Breastplate
		23503,	--	Adamantite Cleaver
		23504,	--	Adamantite Dagger
		23502,	--	Adamantite Maul
		23506,	--	Adamantite Plate Bracers
		23508,	--	Adamantite Plate Gloves
		23505,	--	Adamantite Rapier
		23529,	--	Adamantite Sharpening Stone
		33185,	--	Adamantite Weapon Chain
		28421,	--	Adamantite Weightstone
		30034,	--	Belt of the Guardian
		23537,	--	Black Felsteel Bracers
		28432,	--	Black Planar Edge
		28427,	--	Blazefury
		28426,	--	Blazeguard
		23539,	--	Blessed Bracers
		28436,	--	Bloodmoon
		30033,	--	Boots of the Protector
		23538,	--	Bracers of the Green Fortress
		28483,	--	Breastplate of Kings
		28484,	--	Bulwark of Kings
		28485,	--	Bulwark of the Ancient Kings
		32571,	--	Dawnsteel Bracers
		32573,	--	Dawnsteel Shoulders
		28441,	--	Deep Thunder
		23555,	--	Dirge
		28438,	--	Dragonmaw
		28439,	--	Dragonstrike
		28437,	--	Drakefist Hammer
		30069,	--	Earthforged Leggings
		23527,	--	Earthpeace Breastplate
		23565,	--	Embrace of the Twisting Nether
		23510,	--	Enchanted Adamantite Belt
		23511,	--	Enchanted Adamantite Boots
		23509,	--	Enchanted Adamantite Breastplate
		23512,	--	Enchanted Adamantite Leggings
		23554,	--	Eternium Runed Blade
		23542,	--	Fel Edged Battleaxe
		23546,	--	Fel Hardened Maul
		23489,	--	Fel Iron Breastplate
		23494,	--	Fel Iron Chain Bracers
		23493,	--	Fel Iron Chain Coif
		23491,	--	Fel Iron Chain Gloves
		23490,	--	Fel Iron Chain Tunic
		23499,	--	Fel Iron Greatsword
		23498,	--	Fel Iron Hammer
		23497,	--	Fel Iron Hatchet
		23484,	--	Fel Iron Plate Belt
		23487,	--	Fel Iron Plate Boots
		23482,	--	Fel Iron Plate Gloves
		23488,	--	Fel Iron Plate Pants
		23528,	--	Fel Sharpening Stone
		28420,	--	Fel Weightstone
		23531,	--	Felfury Gauntlets
		23517,	--	Felsteel Gloves
		23519,	--	Felsteel Helm
		23518,	--	Felsteel Leggings
		23540,	--	Felsteel Longblade
		23543,	--	Felsteel Reaper
		23530,	--	Felsteel Shield Spike
		28425,	--	Fireguard
		23515,	--	Flamebane Bracers
		23513,	--	Flamebane Breastplate
		23514,	--	Flamebane Gloves
		23516,	--	Flamebane Helm
		23532,	--	Gauntlets of the Iron Tower
		30093,	--	Great Earthforged Hammer
		25521,	--	Greater Rune of Warding
		23576,	--	Greater Ward of Shielding
		32854,	--	Hammer of Righteous Might
		23556,	--	Hand of Eternity
		34378,	--	Hard Khorium Battlefists
		34377,	--	Hard Khorium Battleplate
		33791,	--	Heavy Copper Longsword
		30074,	--	Heavy Earthforged Breastplate
		23535,	--	Helm of the Stalwart Defender
		31369,	--	Iceguard Breastplate
		31371,	--	Iceguard Helm
		31370,	--	Iceguard Leggings
		23524,	--	Khorium Belt
		23525,	--	Khorium Boots
		23541,	--	Khorium Champion
		23523,	--	Khorium Pants
		30089,	--	Lavaforged Warhammer
		23559,	--	Lesser Rune of Warding
		23575,	--	Lesser Ward of Shielding
		30071,	--	Light Earthforged Blade
		30073,	--	Light Emberforged Hammer
		30072,	--	Light Skyforged Axe
		28428,	--	Lionheart Blade
		28429,	--	Lionheart Champion
		28430,	--	Lionheart Executioner
		28434,	--	Lunar Crescent
		28435,	--	Mooncleaver
		23563,	--	Nether Plate Shirt
		23536,	--	Oathkeeper's Helm
		23522,	--	Ragesteel Breastplate
		23520,	--	Ragesteel Gloves
		23521,	--	Ragesteel Helm
		33173,	--	Ragesteel Shoulders
		30032,	--	Red Belt of Battle
		30031,	--	Red Havoc Boots
		23544,	--	Runic Hammer
		32403,	--	Shadesteel Bracers
		32401,	--	Shadesteel Girdle
		32404,	--	Shadesteel Greaves
		32402,	--	Shadesteel Sabots
		30088,	--	Skyforged Great Axe
		23533,	--	Steelgrip Gauntlets
		30086,	--	Stoneforged Claymore
		23534,	--	Storm Helm
		30087,	--	Stormforged Axe
		30076,	--	Stormforged Hauberk
		28442,	--	Stormherald
		34379,	--	Sunblessed Breastplate
		34380,	--	Sunblessed Gauntlets
		32568,	--	Swiftsteel Bracers
		23526,	--	Swiftsteel Gloves
		32570,	--	Swiftsteel Shoulders
		28431,	--	The Planar Edge
		28440,	--	Thunder
		23564,	--	Twisting Nether Plate Shirt
		28433,	--	Wicked Edge of the Planes
		31364,	--	Wildguard Breastplate
		31368,	--	Wildguard Helm
		31367,	--	Wildguard Leggings
		30070,	--	Windforged Leggings
		30077,	--	Windforged Rapier

	
	--Misc Items
		29740,	--	Fel Armament
		30809, 	--	Mark of Sargeras
		32897,	--	Mark of the Illidari
	--Lockbox IDs
		5760,	--	Eternium Lockbox
		31952,	--	Khorium Lockbox
	--Crafting Reagent IDs
		23446,	--	Adamantite Bar
		23784,	--	Adamantite Frame
		23425,	--	Adamantite Ore
		108302,	--	Adamantite Ore Nugget
		24243,	--	Adamantite Powder
		22790,	--	Ancient Lichen
		108348,	--	Ancient Lichen Petal
		22445,	--	Arcane Dust
		23117,	--	Azure Moonstone
		27422,	--	Barbed Gill Trout
		35562,	--	Bear Flank
		23077,	--	Blood Garnet
		33823,	--	Bloodfin Catfish
		21842,	--	Bolt of Imbued Netherweave
		21840,	--	Bolt of Netherweave
		21844,	--	Bolt of Soulcloth
		20817,	--	Bronze Setting
		27671,	--	Buzzard Meat
		27677,	--	Chunk o' Basilisk
		27678,	--	Clefthoof Meat
		112184,	--	Cobra Scale Fragment
		29539,	--	Cobra Scales
		33824,	--	Crescent-Tail Skullfish
		32227,	--	Crimson Spinel
		25699,	--	Crystal Infused Leather
		23440,	--	Dawnstone
		23079,	--	Deep Peridot
		20816,	--	Delicate Copper Wire
		22786,	--	Dreaming Glory
		108345,	--	Dreaming Glory Petal
		25867,	--	Earthstorm Diamond
		23781,	--	Elemental Blasting Powder
		32228,	--	Empyrean Sapphire
		27516,	--	Enormous Barbed Gill Trout
		23447,	--	Eternium Bar
		23427,	--	Eternium Ore
		108303,	--	Eternium Ore Nugget
		25707,	--	Fel Hide
		23445,	--	Fel Iron Bar
		23782,	--	Fel Iron Casing
		23424,	--	Fel Iron Ore
		108301,	--	Fel Iron Ore Nugget
		22794,	--	Fel Lotus
		112181,	--	Fel Scale Fragment
		25700,	--	Fel Scales
		23448,	--	Felsteel Bar
		23787,	--	Felsteel Stabilizer
		22785,	--	Felweed
		108344,	--	Felweed Stalk
		27435,	--	Figluster's Mudfish
		21929,	--	Flame Spessarite
		27439,	--	Furious Crawdad
		27438,	--	Golden Darter
		23112,	--	Golden Draenite
		22446,	--	Greater Planar Essence
		23783,	--	Handful of Fel Iron Bolts
		23573,	--	Hardened Adamantite Bar
		23785,	--	Hardened Adamantite Tube
		35128,	--	Hardened Khorium
		32428,	--	Heart of Darkness
		23793,	--	Heavy Knothide Leather
		27515,	--	Huge Spotted Feltail
		27437,	--	Icefin Bluefish
		32423,	--	Icy Blasting Primers
		24477,	--	Jaggal Clam Meat
		24478,	--	Jaggal Pearl
		23449,	--	Khorium Bar
		23426,	--	Khorium Ore
		108304,	--	Khorium Ore Nugget
		23786,	--	Khorium Power Core
		21887,	--	Knothide Leather
		25649,	--	Knothide Leather Scraps
		22449,	--	Large Prismatic Shard
		22447,	--	Lesser Planar Essence
		32229,	--	Lionseye
		23436,	--	Living Ruby
		27668,	--	Lynx Meat
		22793,	--	Mana Thistle
		108351,	--	Mana Thistle Leaf
		31079,	--	Mercurial Adamantite
		20963,	--	Mithril Filigree
		22572,	--	Mote of Air
		22573,	--	Mote of Earth
		22574,	--	Mote of Fire
		22575,	--	Mote of Life
		22576,	--	Mote of Mana
		22577,	--	Mote of Shadow
		22578,	--	Mote of Water
		112183,	--	Nether Dragonscale Fragment
		29548,	--	Nether Dragonscales
		30183,	--	Nether Vortex
		22791,	--	Netherbloom
		108349,	--	Netherbloom Leaf
		21877,	--	Netherweave Cloth
		21881,	--	Netherweb Spider Silk
		22792,	--	Nightmare Vine
		108350,	--	Nightmare Vine Stem
		23441,	--	Nightseye
		23439,	--	Noble Topaz
		112180,	--	Patch of Crystal Infused Leather
		112182,	--	Patch of Fel Hide
		112179,	--	Patch of Thick Clefthoof Leather
		22451,	--	Primal Air
		22452,	--	Primal Earth
		21884,	--	Primal Fire
		21886,	--	Primal Life
		22457,	--	Primal Mana
		23571,	--	Primal Might
		21845,	--	Primal Mooncloth
		23572,	--	Primal Nether
		22456,	--	Primal Shadow
		21885,	--	Primal Water
		32231,	--	Pyrestone
		22787,	--	Ragveil
		108346,	--	Ragveil Cap
		31670,	--	Raptor Ribs
		27674,	--	Ravager Flesh
		32249,	--	Seaspray Emerald
		31671,	--	Serpent Flesh
		23107,	--	Shadow Draenite
		24479,	--	Shadow Pearl
		24272,	--	Shadowcloth
		32230,	--	Shadowsong Amethyst
		25868,	--	Skyfire Diamond
		22448,	--	Small Prismatic Shard
		21882,	--	Soul Essence
		24271,	--	Spellcloth
		27425,	--	Spotted Feltail
		23438,	--	Star of Elune
		34664,	--	Sunmote
		23437,	--	Talasite
		27682,	--	Talbuk Venison
		22789,	--	Terocone
		108347,	--	Terocone Leaf
		25708,	--	Thick Clefthoof Leather
		21752,	--	Thorium Setting
		22450,	--	Void Crystal
		27681,	--	Warped Flesh
		112185,	--	Wind Scale Fragment
		29547,	--	Wind Scales
		27429,	--	Zangarian Sporefish
};