--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are from Vanilla.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Vanilla(itemID)
	for _,v in pairs(SmexyMats.Vanilla_ReagentIDs) do
		if (tonumber(itemID) == v) then 
			return true; 
		end; 
	end;
	return false;
end;

SmexyMats.Vanilla_ReagentIDs = {
	--Alchemy
		9155,	--	Arcane Elixir
		10592,	--	Catseye Elixir
		4596,	--	Discolored Healing Potion
		12190,	--	Dreamless Sleep Potion
		8949,	--	Elixir of Agility
		13453,	--	Elixir of Brute Force
		3389,	--	Elixir of Defense
		9224,	--	Elixir of Demonslaying
		9233,	--	Elixir of Detect Demon
		3828,	--	Elixir of Detect Lesser Invisibility
		9154,	--	Elixir of Detect Undead
		9197,	--	Elixir of Dream Vision
		6373,	--	Elixir of Firepower
		3825,	--	Elixir of Fortitude
		17708,	--	Elixir of Frost Power
		6662,	--	Elixir of Giant Growth
		9206,	--	Elixir of Giants
		9187,	--	Elixir of Greater Agility
		8951,	--	Elixir of Greater Defense
		21546,	--	Elixir of Greater Firepower
		9179,	--	Elixir of Greater Intellect
		18294,	--	Elixir of Greater Water Breathing
		3390,	--	Elixir of Lesser Agility
		2454,	--	Elixir of Lion's Strength
		2457,	--	Elixir of Minor Agility
		5997,	--	Elixir of Minor Defense
		2458,	--	Elixir of Minor Fortitude
		3391,	--	Elixir of Ogre's Strength
		9264,	--	Elixir of Shadow Power
		13445,	--	Elixir of Superior Defense
		13452,	--	Elixir of the Mongoose
		13447,	--	Elixir of the Sages
		5996,	--	Elixir of Water Breathing
		8827,	--	Elixir of Water Walking
		3383,	--	Elixir of Wisdom
		6049,	--	Fire Protection Potion
		13511,	--	Flask of Distilled Wisdom
		13512,	--	Flask of Supreme Power
		13510,	--	Flask of the Titans
		5634,	--	Free Action Potion
		3829,	--	Frost Oil
		6050,	--	Frost Protection Potion
		9088,	--	Gift of Arthas
		5633,	--	Great Rage Potion
		13454,	--	Greater Arcane Elixir
		13461,	--	Greater Arcane Protection Potion
		20002,	--	Greater Dreamless Sleep Potion
		13457,	--	Greater Fire Protection Potion
		13456,	--	Greater Frost Protection Potion
		1710,	--	Greater Healing Potion
		6149,	--	Greater Mana Potion
		13458,	--	Greater Nature Protection Potion
		13459,	--	Greater Shadow Protection Potion
		13455,	--	Greater Stoneshield Potion
		929,	--	Healing Potion
		6051,	--	Holy Protection Potion
		9172,	--	Invisibility Potion
		858,	--	Lesser Healing Potion
		3823,	--	Lesser Invisibility Potion
		3385,	--	Lesser Mana Potion
		4623,	--	Lesser Stoneshield Potion
		3387,	--	Limited Invulnerability Potion
		20008,	--	Living Action Potion
		20007,	--	Mageblood Elixir
		13446,	--	Major Healing Potion
		13444,	--	Major Mana Potion
		18253,	--	Major Rejuvenation Potion
		3826,	--	Major Troll's Blood Elixir
		3827,	--	Mana Potion
		13442,	--	Mighty Rage Potion
		20004,	--	Mighty Troll's Blood Elixir
		118,	--	Minor Healing Potion
		2455,	--	Minor Mana Potion
		2456,	--	Minor Rejuvenation Potion
		6052,	--	Nature Protection Potion
		8956,	--	Oil of Immolation
		9149,	--	Philosopher's Stone
		3386,	--	Potion of Curing
		13506,	--	Potion of Petrification
		13462,	--	Purification Potion
		5631,	--	Rage Potion
		9030,	--	Restorative Potion
		3824,	--	Shadow Oil
		6048,	--	Shadow Protection Potion
		3388,	--	Strong Troll's Blood Elixir
		3928,	--	Superior Healing Potion
		13443,	--	Superior Mana Potion
		2459,	--	Swiftness Potion
		6372,	--	Swim Speed Potion
		3382,	--	Weak Troll's Blood Elixir
		9144,	--	Wildvine Potion

	--Blacksmithing
		12798,	--	Annihilator
		12790,	--	Arcanite Champion
		12784,	--	Arcanite Reaper
		15872,	--	Arcanite Skeleton Key
		7916,	--	Barbaric Iron Boots
		7914,	--	Barbaric Iron Breastplate
		7917,	--	Barbaric Iron Gloves
		7915,	--	Barbaric Iron Helm
		7913,	--	Barbaric Iron Shoulders
		7945,	--	Big Black Mace
		3848,	--	Big Bronze Knife
		19166,	--	Black Amnesty
		22194,	--	Black Grasp of the Destroyer
		19167,	--	Blackfury
		19168,	--	Blackguard
		12777,	--	Blazing Rapier
		7959,	--	Blight
		19690,	--	Bloodsoul Breastplate
		19692,	--	Bloodsoul Gauntlets
		19691,	--	Bloodsoul Shoulders
		7942,	--	Blue Glittering Axe
		2849,	--	Bronze Axe
		7958,	--	Bronze Battle Axe
		7957,	--	Bronze Greatsword
		2848,	--	Bronze Mace
		2850,	--	Bronze Shortsword
		7956,	--	Bronze Warhammer
		2863,	--	Coarse Sharpening Stone
		3240,	--	Coarse Weightstone
		2845,	--	Copper Axe
		3488,	--	Copper Battle Axe
		2853,	--	Copper Bracers
		3471,	--	Copper Chain Vest
		7955,	--	Copper Claymore
		7166,	--	Copper Dagger
		2844,	--	Copper Mace
		2851,	--	Copper Plate Belt
		3469,	--	Copper Plate Boots
		2852,	--	Copper Plate Pants
		2847,	--	Copper Shortsword
		12782,	--	Corruption
		20039,	--	Dark Iron Boots
		17014,	--	Dark Iron Bracers
		17016,	--	Dark Iron Destroyer
		19164,	--	Dark Iron Gauntlets
		19148,	--	Dark Iron Helm
		17013,	--	Dark Iron Leggings
		11604,	--	Dark Iron Plate
		11606,	--	Dark Iron Plate
		11608,	--	Dark Iron Pulverizer
		17015,	--	Dark Iron Reaver
		11605,	--	Dark Iron Shoulders
		11607,	--	Dark Iron Sunderer
		20550,	--	Darkrune Breastplate
		20549,	--	Darkrune Gauntlets
		20551,	--	Darkrune Helm
		19693,	--	Darksoul Breastplate
		19694,	--	Darksoul Leggings
		19695,	--	Darksoul Shoulders
		12625,	--	Dawnbringer Shoulders
		12774,	--	Dawn's Edge
		7944,	--	Dazzling Mithril Rapier
		3490,	--	Deadly Bronze Poniard
		12628,	--	Demon Forged Breastplate
		12404,	--	Dense Sharpening Stone
		12643,	--	Dense Weightstone
		19170,	--	Ebon Hand
		7947,	--	Ebon Shiv
		17704,	--	Edge of Winter
		18262,	--	Elemental Sharpening Stone
		12776,	--	Enchanted Battlehammer
		12618,	--	Enchanted Thorium Breastplate
		12620,	--	Enchanted Thorium Helm
		12619,	--	Enchanted Thorium Leggings
		16989,	--	Fiery Chain Girdle
		16988,	--	Fiery Chain Shoulders
		12631,	--	Fiery Plate Gauntlets
		3854,	--	Frost Tiger Blade
		12797,	--	Frostguard
		3474,	--	Gemmed Copper Gauntlets
		19051,	--	Girdle of the Dawn
		12259,	--	Glinting Steel Dagger
		19057,	--	Gloves of the Dawn
		3852,	--	Golden Iron Destroyer
		3847,	--	Golden Scale Boots
		6040,	--	Golden Scale Bracers
		3837,	--	Golden Scale Coif
		3845,	--	Golden Scale Cuirass
		9366,	--	Golden Scale Gauntlets
		3843,	--	Golden Scale Leggings
		3841,	--	Golden Scale Shoulders
		15870,	--	Golden Skeleton Key
		3484,	--	Green Iron Boots
		3835,	--	Green Iron Bracers
		3485,	--	Green Iron Gauntlets
		3844,	--	Green Iron Hauberk
		3836,	--	Green Iron Helm
		3842,	--	Green Iron Leggings
		3840,	--	Green Iron Shoulders
		12796,	--	Hammer of the Titans
		3849,	--	Hardened Iron Shortsword
		12783,	--	Heartseeker
		3491,	--	Heavy Bronze Mace
		3487,	--	Heavy Copper Broadsword
		6214,	--	Heavy Copper Maul
		7941,	--	Heavy Mithril Axe
		7933,	--	Heavy Mithril Boots
		7930,	--	Heavy Mithril Breastplate
		7919,	--	Heavy Mithril Gauntlet
		7934,	--	Heavy Mithril Helm
		7921,	--	Heavy Mithril Pants
		7918,	--	Heavy Mithril Shoulder
		22197,	--	Heavy Obsidian Belt
		2871,	--	Heavy Sharpening Stone
		19043,	--	Heavy Timbermaw Belt
		19048,	--	Heavy Timbermaw Boots
		3241,	--	Heavy Weightstone
		12636,	--	Helm of the Great Chief
		12775,	--	Huge Thorium Battleaxe
		22671,	--	Icebane Bracers
		22669,	--	Icebane Breastplate
		22670,	--	Icebane Gauntlets
		12424,	--	Imperial Plate Belt
		12426,	--	Imperial Plate Boots
		12425,	--	Imperial Plate Bracers
		12422,	--	Imperial Plate Chest
		12427,	--	Imperial Plate Helm
		12429,	--	Imperial Plate Leggings
		12428,	--	Imperial Plate Shoulders
		12641,	--	Invulnerable Mail
		5541,	--	Iridescent Hammer
		6043,	--	Iron Counterweight
		6042,	--	Iron Shield Spike
		6731,	--	Ironforge Breastplate
		22764,	--	Ironvine Belt
		22762,	--	Ironvine Breastplate
		22763,	--	Ironvine Gloves
		3850,	--	Jade Serpentblade
		22198,	--	Jagged Obsidian Shield
		22195,	--	Light Obsidian Belt
		12640,	--	Lionheart Helm
		3855,	--	Massive Iron Axe
		12794,	--	Masterwork Stormhammer
		3492,	--	Mighty Iron Hammer
		7931,	--	Mithril Coif
		7924,	--	Mithril Scale Bracers
		7920,	--	Mithril Scale Pants
		7932,	--	Mithril Scale Shoulders
		7967,	--	Mithril Shield Spike
		7969,	--	Mithril Spurs
		3853,	--	Moonsteel Broadsword
		19169,	--	Nightfall
		22191,	--	Obsidian Plate Tunic
		7929,	--	Orcish War Leggings
		7936,	--	Ornate Mithril Boots
		7935,	--	Ornate Mithril Breastplate
		7927,	--	Ornate Mithril Gloves
		7937,	--	Ornate Mithril Helm
		7926,	--	Ornate Mithril Pants
		7928,	--	Ornate Mithril Shoulder
		12773,	--	Ornate Thorium Handaxe
		2868,	--	Patterned Bronze Bracers
		5540,	--	Pearl-Handled Dagger
		22384,	--	Persuader
		7961,	--	Phantom Blade
		3846,	--	Polished Steel Boots
		12416,	--	Radiant Belt
		12419,	--	Radiant Boots
		12415,	--	Radiant Breastplate
		12417,	--	Radiant Circlet
		12418,	--	Radiant Gloves
		12420,	--	Radiant Leggings
		6350,	--	Rough Bronze Boots
		2866,	--	Rough Bronze Cuirass
		2865,	--	Rough Bronze Leggings
		3480,	--	Rough Bronze Shoulders
		10421,	--	Rough Copper Vest
		2862,	--	Rough Sharpening Stone
		3239,	--	Rough Weightstone
		2857,	--	Runed Copper Belt
		2854,	--	Runed Copper Bracers
		2864,	--	Runed Copper Breastplate
		3472,	--	Runed Copper Gauntlets
		3473,	--	Runed Copper Pants
		7946,	--	Runed Mithril Hammer
		12613,	--	Runic Breastplate
		12611,	--	Runic Plate Boots
		12612,	--	Runic Plate Helm
		12614,	--	Runic Plate Leggings
		12610,	--	Runic Plate Shoulders
		22383,	--	Sageblade
		12260,	--	Searing Golden Blade
		12781,	--	Serenity
		3856,	--	Shadow Crescent Axe
		2870,	--	Shining Silver Breastplate
		15869,	--	Silver Skeleton Key
		3482,	--	Silvered Bronze Boots
		2869,	--	Silvered Bronze Breastplate
		3483,	--	Silvered Bronze Gauntlets
		10423,	--	Silvered Bronze Leggings
		3481,	--	Silvered Bronze Shoulders
		3851,	--	Solid Iron Maul
		7964,	--	Solid Sharpening Stone
		7965,	--	Solid Weightstone
		7963,	--	Steel Breastplate
		7922,	--	Steel Plate Helm
		6041,	--	Steel Weapon Chain
		12632,	--	Storm Gauntlets
		12639,	--	Stronghold Gauntlets
		17193,	--	Sulfuron Hammer
		7954,	--	The Shatterer
		22196,	--	Thick Obsidian Breastplate
		3489,	--	Thick War Axe
		12405,	--	Thorium Armor
		12406,	--	Thorium Belt
		12409,	--	Thorium Boots
		12408,	--	Thorium Bracers
		12410,	--	Thorium Helm
		12414,	--	Thorium Leggings
		12645,	--	Thorium Shield Spike
		22385,	--	Titanic Leggings
		7939,	--	Truesilver Breastplate
		7960,	--	Truesilver Champion
		7938,	--	Truesilver Gauntlets
		15871,	--	Truesilver Skeleton Key
		12792,	--	Volcanic Hammer
		12633,	--	Whitesoul Helm
		7943,	--	Wicked Mithril Blade
		12624,	--	Wildthorn Mail

	--Lockbox IDs
		4632,	--	Ornate Bronze Lockbox
		4633,	--	Heavy Bronze Lockbox
		4634,	--	Iron Lockbox
		4636,	--	Strong Iron Lockbox
		4637,	--	Steel Lockbox
		4638,	--	Reinforced Lockbox
		5758,	--	Mithril Lockbox
		5759,	--	Thorium Lockbox
	--Crafting Reagent IDs
		7909,	--	Aquamarine
		12363,	--	Arcane Crystal
		12360,	--	Arcanite Bar
		8836,	--	Arthas' Tears
		108334,	--	Arthas' Tears Petal
		12800,	--	Azerothian Diamond
		27669,	--	Bat Flesh
		3173,	--	Bear Meat
		3730,	--	Big Bear Meat
		11754,	--	Black Diamond
		15416,	--	Black Dragonscale
		2325,	--	Black Dye
		13468,	--	Black Lotus
		7971,	--	Black Pearl
		9262,	--	Black Vitriol
		7286,	--	Black Whelp Scale
		6370,	--	Blackmouth Oil
		2324,	--	Bleach
		8839,	--	Blindweed
		108336,	--	Blindweed Stem
		11382,	--	Blood of the Mountain
		15415,	--	Blue Dragonscale
		6260,	--	Blue Dye
		4611,	--	Blue Pearl
		12361,	--	Blue Sapphire
		2677,	--	Boar Ribs
		2996,	--	Bolt of Linen Cloth
		4339,	--	Bolt of Mageweave
		14048,	--	Bolt of Runecloth
		4305,	--	Bolt of Silk Cloth
		2997,	--	Bolt of Woolen Cloth
		7081,	--	Breath of Wind
		2450,	--	Briarthorn
		108320,	--	Briarthorn Bramble
		12607,	--	Brilliant Chromatic Scale
		2841,	--	Bronze Bar
		4382,	--	Bronze Framework
		4371,	--	Bronze Tube
		2453,	--	Bruiseweed
		108322,	--	Bruiseweed Stem
		3404,	--	Buzzard Wing
		21024,	--	Chimaerok Tenderloin
		769,	--	Chunk of Boar Meat
		3864,	--	Citrine
		5503,	--	Clam Meat
		3857,	--	Coal
		4364,	--	Coarse Blasting Powder
		3478,	--	Coarse Grinding Stone
		2836,	--	Coarse Stone
		2320,	--	Coarse Thread
		2840,	--	Copper Bar
		2770,	--	Copper Ore
		17012,	--	Core Leather
		7075,	--	Core of Earth
		2673,	--	Coyote Meat
		2886,	--	Crag Boar Rib
		2675,	--	Crawler Claw
		2674,	--	Crawler Meat
		2924,	--	Crocolisk Meat
		22644,	--	Crunchy Spider Leg
		3371,	--	Crystal Vial
		4236,	--	Cured Heavy Hide
		4231,	--	Cured Light Hide
		4233,	--	Cured Medium Hide
		15407,	--	Cured Rugged Hide
		8172,	--	Cured Thick Hide
		11371,	--	Dark Iron Bar
		11370,	--	Dark Iron Ore
		20520,	--	Dark Rune
		13888,	--	Darkclaw Lobster
		124669,	--	Darkmoon Daggermaw
		8150,	--	Deeprock Salt
		16006,	--	Delicate Arcanite Converter
		12662,	--	Demonic Rune
		15992,	--	Dense Blasting Powder
		12644,	--	Dense Grinding Stone
		12365,	--	Dense Stone
		6470,	--	Deviate Scale
		15417,	--	Devilsaur Leather
		5051,	--	Dig Rat
		3164,	--	Discolored Worg Heart
		3819,	--	Dragon's Teeth
		108329,	--	Dragon's Teeth Stem
		11176,	--	Dream Dust
		13463,	--	Dreamfoil
		108339,	--	Dreamfoil Blade
		2449,	--	Earthroot
		108319,	--	Earthroot Stem
		7069,	--	Elemental Air
		7067,	--	Elemental Earth
		7068,	--	Elemental Fire
		18567,	--	Elemental Flux
		7070,	--	Elemental Water
		18562,	--	Elementium Ingot
		12810,	--	Enchanted Leather
		12655,	--	Enchanted Thorium Bar
		10647,	--	Engineer's Ink
		7082,	--	Essence of Air
		7076,	--	Essence of Earth
		7078,	--	Essence of Fire
		12808,	--	Essence of Undeath
		7080,	--	Essence of Water
		3818,	--	Fadeleaf
		108328,	--	Fadeleaf Petal
		14256,	--	Felcloth
		17010,	--	Fiery Core
		2321,	--	Fine Thread
		6371,	--	Fire Oil
		4625,	--	Firebloom
		108332,	--	Firebloom Petal
		6359,	--	Firefin Snapper
		814,	--	Flask of Oil
		7191,	--	Fused Wiring
		9210,	--	Ghost Dye
		8845,	--	Ghost Mushroom
		108337,	--	Ghost Mushroom Cap
		4655,	--	Giant Clam Meat
		12207,	--	Giant Egg
		7079,	--	Globe of Water
		9061,	--	Goblin Rocket Fuel
		3577,	--	Gold Bar
		2776,	--	Gold Ore
		108296,	--	Gold Ore Nugget
		10558,	--	Gold Power Core
		13926,	--	Golden Pearl
		13464,	--	Golden Sansam
		108340,	--	Golden Sansam Leaf
		3821,	--	Goldthorn
		108331,	--	Goldthorn Bramble
		2251,	--	Gooey Spider Leg
		723,	--	Goretusk Liver
		3369,	--	Grave Moss
		108327,	--	Grave Moss Leaf
		4340,	--	Gray Dye
		11082,	--	Greater Astral Essence
		16203,	--	Greater Eternal Essence
		10939,	--	Greater Magic Essence
		11135,	--	Greater Mystic Essence
		11175,	--	Greater Nether Essence
		15412,	--	Green Dragonscale
		2605,	--	Green Dye
		7392,	--	Green Whelp Scale
		8846,	--	Gromsblood
		108338,	--	Gromsblood Leaf
		12809,	--	Guardian Stone
		4389,	--	Gyrochronatom
		4359,	--	Handful of Copper Bolts
		7077,	--	Heart of Fire
		10286,	--	Heart of the Wild
		4377,	--	Heavy Blasting Powder
		3486,	--	Heavy Grinding Stone
		4235,	--	Heavy Hide
		12204,	--	Heavy Kodo Meat
		4234,	--	Heavy Leather
		15408,	--	Heavy Scorpid Scale
		8343,	--	Heavy Silken Thread
		4400,	--	Heavy Stock
		2838,	--	Heavy Stone
		17194,	--	Holiday Spices
		12364,	--	Huge Emerald
		19441,	--	Huge Venom Sac
		13467,	--	Icecap
		108343,	--	Icecap Petal
		7972,	--	Ichor of Undeath
		16204,	--	Illusion Dust
		9060,	--	Inlaid Mithril Cylinder
		5500,	--	Iridescent Pearl
		3575,	--	Iron Bar
		7071,	--	Iron Buckle
		2772,	--	Iron Ore
		108297,	--	Iron Ore Nugget
		4387,	--	Iron Strut
		14227,	--	Ironweb Spider Silk
		1529,	--	Jade
		3358,	--	Khadgar's Whisker
		108326,	--	Khadgar's Whisker Stem
		3356,	--	Kingsblood
		108324,	--	Kingsblood Petal
		5467,	--	Kodo Meat
		14344,	--	Large Brilliant Shard
		5637,	--	Large Fang
		11084,	--	Large Glimmering Shard
		11139,	--	Large Glowing Shard
		22203,	--	Large Obsidian Shard
		12799,	--	Large Opal
		11178,	--	Large Radiant Shard
		1288,	--	Large Venom Sac
		17011,	--	Lava Core
		1015,	--	Lean Wolf Flank
		10998,	--	Lesser Astral Essence
		16202,	--	Lesser Eternal Essence
		10938,	--	Lesser Magic Essence
		1705,	--	Lesser Moonstone
		11134,	--	Lesser Mystic Essence
		11174,	--	Lesser Nether Essence
		3357,	--	Liferoot
		108325,	--	Liferoot Stem
		17056,	--	Light Feather
		783,	--	Light Hide
		2318,	--	Light Leather
		13757,	--	Lightning Eel
		2589,	--	Linen Cloth
		3731,	--	Lion Meat
		12803,	--	Living Essence
		5373,	--	Lucky Charm
		27668,	--	Lynx Meat
		785,	--	Mageroyal
		108318,	--	Mageroyal Petal
		4338,	--	Mageweave Cloth
		774,	--	Malachite
		19943,	--	Massive Mojo
		12223,	--	Meaty Bat Wing
		4232,	--	Medium Hide
		2319,	--	Medium Leather
		2678,	--	Mild Spices
		3860,	--	Mithril Bar
		10561,	--	Mithril Casing
		3858,	--	Mithril Ore
		108300,	--	Mithril Ore Nugget
		10559,	--	Mithril Tube
		14342,	--	Mooncloth
		23676,	--	Moongraze Stag Tenderloin
		1206,	--	Moss Agate
		13465,	--	Mountain Silversage
		108341,	--	Mountain Silversage Stalk
		1468,	--	Murloc Fin
		12037,	--	Mystery Meat
		7072,	--	Naga Scale
		20725,	--	Nexus Crystal
		18240,	--	Ogre Tannin
		6358,	--	Oily Blackmouth
		6261,	--	Orange Dye
		2447,	--	Peacebloom
		6471,	--	Perfect Deviate Scale
		10290,	--	Pink Dye
		12804,	--	Powerful Mojo
		18335,	--	Pristine Black Diamond
		4342,	--	Purple Dye
		8831,	--	Purple Lotus
		108333,	--	Purple Lotus Petal
		3685,	--	Raptor Egg
		12184,	--	Raptor Flesh
		4461,	--	Raptor Hide
		6291,	--	Raw Brilliant Smallfish
		6308,	--	Raw Bristle Whisker Catfish
		13754,	--	Raw Glossy Mightfish
		21153,	--	Raw Greater Sagefish
		6317,	--	Raw Loch Frenzy
		6289,	--	Raw Longjaw Mud Snapper
		8365,	--	Raw Mithril Head Trout
		13759,	--	Raw Nightfin Snapper
		6361,	--	Raw Rainbow Fin Albacore
		13758,	--	Raw Redgill
		6362,	--	Raw Rockscale Cod
		21071,	--	Raw Sagefish
		6303,	--	Raw Slitherskin Mackerel
		4603,	--	Raw Spotted Yellowtail
		13756,	--	Raw Summer Bass
		13760,	--	Raw Sunscale Salmon
		13889,	--	Raw Whitescale Salmon
		15414,	--	Red Dragonscale
		2604,	--	Red Dye
		12203,	--	Red Wolf Meat
		12811,	--	Righteous Orb
		4357,	--	Rough Blasting Powder
		3470,	--	Rough Grinding Stone
		2835,	--	Rough Stone
		8171,	--	Rugged Hide
		8170,	--	Rugged Leather
		2934,	--	Ruined Leather Scraps
		14341,	--	Rune Thread
		14047,	--	Runecloth
		4289,	--	Salt
		20424,	--	Sandworm Meat
		15410,	--	Scale of Onyxia
		8154,	--	Scorpid Scale
		5466,	--	Scorpid Stinger
		10285,	--	Shadow Silk
		1210,	--	Shadowgem
		5635,	--	Sharp Claw
		4306,	--	Silk Cloth
		4291,	--	Silken Thread
		2842,	--	Silver Bar
		4404,	--	Silver Contact
		2775,	--	Silver Ore
		108294,	--	Silver Ore Nugget
		765,	--	Silverleaf
		30817,	--	Simple Flour
		4470,	--	Simple Wood
		5784,	--	Slimy Murloc Scale
		14343,	--	Small Brilliant Shard
		6889,	--	Small Egg
		4402,	--	Small Flame Sac
		10978,	--	Small Glimmering Shard
		11138,	--	Small Glowing Shard
		5498,	--	Small Lustrous Pearl
		22202,	--	Small Obsidian Shard
		11177,	--	Small Radiant Shard
		5465,	--	Small Spider Leg
		1475,	--	Small Venom Sac
		5468,	--	Soft Frenzy Flesh
		10505,	--	Solid Blasting Powder
		7966,	--	Solid Grinding Stone
		7912,	--	Solid Stone
		13466,	--	Sorrowmoss
		108342,	--	Sorrowmoss Leaf
		11083,	--	Soul Dust
		3182,	--	Spider's Silk
		5471,	--	Stag Meat
		7910,	--	Star Ruby
		11291,	--	Star Wood
		3859,	--	Steel Bar
		13422,	--	Stonescale Eel
		13423,	--	Stonescale Oil
		10940,	--	Strange Dust
		3820,	--	Stranglekelp
		108330,	--	Stranglekelp Blade
		5469,	--	Strider Meat
		2672,	--	Stringy Wolf Meat
		3466,	--	Strong Flux
		17203,	--	Sulfuron Ingot
		8838,	--	Sungrass
		108335,	--	Sungrass Stalk
		2452,	--	Swiftthistle
		108321,	--	Swiftthistle Leaf
		5504,	--	Tangy Clam Meat
		12206,	--	Tender Crab Meat
		3667,	--	Tender Crocolisk Meat
		12208,	--	Tender Wolf Meat
		8169,	--	Thick Hide
		4304,	--	Thick Leather
		5785,	--	Thick Murloc Scale
		4337,	--	Thick Spider's Silk
		5082,	--	Thin Kodo Leather
		12359,	--	Thorium Bar
		10620,	--	Thorium Ore
		108298,	--	Thorium Ore Nugget
		16000,	--	Thorium Tube
		15994,	--	Thorium Widget
		5470,	--	Thunder Lizard Tail
		12202,	--	Tiger Meat
		818,	--	Tigerseye
		3576,	--	Tin Bar
		2771,	--	Tin Ore
		108295,	--	Tin Ore Nugget
		1080,	--	Tough Condor Meat
		6037,	--	Truesilver Bar
		7911,	--	Truesilver Ore
		108299,	--	Truesilver Ore Nugget
		18631,	--	Truesilver Transformer
		3712,	--	Turtle Meat
		8167,	--	Turtle Scale
		10560,	--	Unstable Trigger
		11137,	--	Vision Dust
		15419,	--	Warbear Leather
		2880,	--	Weak Flux
		4375,	--	Whirring Bronze Gizmo
		12205,	--	White Spider Meat
		3355,	--	Wild Steelbloom
		108323,	--	Wild Steelbloom Petal
		8153,	--	Wildvine
		4399,	--	Wooden Stock
		2592,	--	Wool Cloth
		8165,	--	Worn Dragonscale
		4341,	--	Yellow Dye
		7974,	--	Zesty Clam Meat
};