--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are from Warlords of Draenor.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_WoD(itemID)
	for _,v in pairs(SmexyMats.WoD_ReagentIDs) do
		if (tonumber(itemID) == v) then 
			return true; 
		end; 
	end;
	return false;
end;
	
SmexyMats.WoD_ReagentIDs = {
	--Alchemy
		109145,	--	Draenic Agility Flask
		109217,	--	Draenic Agility Potion
		109221,	--	Draenic Channeled Mana Potion
		109147,	--	Draenic Intellect Flask
		109218,	--	Draenic Intellect Potion
		116268,	--	Draenic Invisibility Potion
		116276,	--	Draenic Living Action Potion
		109222,	--	Draenic Mana Potion
		109262,	--	Draenic Philosopher's Stone
		109226,	--	Draenic Rejuvenation Potion
		109152,	--	Draenic Stamina Flask
		109148,	--	Draenic Strength Flask
		109219,	--	Draenic Strength Potion
		116266,	--	Draenic Swiftness Potion
		109220,	--	Draenic Versatility Potion
		116271,	--	Draenic Water Breathing Elixir
		118711,	--	Draenic Water Walking Elixir
		128159,	--	Elemental Distillate
		109153,	--	Greater Draenic Agility Flask
		109155,	--	Greater Draenic Intellect Flask
		109160,	--	Greater Draenic Stamina Flask
		109156,	--	Greater Draenic Strength Flask
		118704,	--	Pure Rage Potion
		118700,	--	Secret of Draenor Alchemy
		122604,	--	Stone of Fire
		122602,	--	Stone of the Earth
		122603,	--	Stone of the Waters
		122601,	--	Stone of Wind
		112090,	--	Transmorphic Tincture
		128158,	--	Wildswater
	
	--Archaeology
		116985,	--	Ancient Nest Guardian
		117382,	--	Beakbreaker of Terokk
		117384,	--	Frostwolf Ghostpup
		117385,	--	Headdress of the First Shaman
		117380,	--	Mortar and Pestle
		117354,	--	Sorcerer-King Toe Ring
		114190,	--	Warmaul of the Warmaul Chieftain

	--Blacksmithing
		127713,	--	Mighty Steelforged Essence
		127714,	--	Mighty Truesteel Essence
		127731,	--	Savage Steelforged Essence
		127732,	--	Savage Truesteel Essence
		118720,	--	Secret of Draenor Blacksmithing
		116427,	--	Smoldering Breastplate
		116425,	--	Smoldering Greaves
		116426,	--	Smoldering Helm
		119328,	--	Soul of the Forge
		120261,	--	Steelforged Aegis
		120259,	--	Steelforged Axe
		116644,	--	Steelforged Dagger
		128016,	--	Steelforged Essence
		116453,	--	Steelforged Greataxe
		116646,	--	Steelforged Hammer
		116454,	--	Steelforged Saber
		116647,	--	Steelforged Shield
		114236,	--	Truesteel Armguards
		114235,	--	Truesteel Boots
		114232,	--	Truesteel Breastplate
		128015,	--	Truesteel Essence
		114237,	--	Truesteel Gauntlets
		114234,	--	Truesteel Greaves
		116654,	--	Truesteel Grinder
		114230,	--	Truesteel Helm
		114231,	--	Truesteel Pauldrons
		116428,	--	Truesteel Reshaper
		114233,	--	Truesteel Waistguard
		
	--Lockbox IDs
		116920, --  True-Steel-Lockbox
		
	--Crafting Reagent IDs
		111664,	--	Abyssal Gulper Eel
		109143,	--	Abyssal Gulper Eel Flesh
		108996,	--	Alchemical Catalyst
		109992,	--	Blackrock Fragment
		109118,	--	Blackrock Ore
		111663,	--	Blackwater Whiptail
		109144,	--	Blackwater Whiptail Flesh
		111667,	--	Blind Lake Sturgeon
		109140,	--	Blind Lake Sturgeon Flesh
		109625,	--	Broken Fireweed Stem
		109624,	--	Broken Frostweed Stem
		110611,	--	Burnished Leather
		119819,	--	Caged Mighty Clefthoof
		119817,	--	Caged Mighty Riverbeast
		114931,	--	Cerulean Pigment
		109123,	--	Crescent Oil
		111595,	--	Crescent Saberfish
		109137,	--	Crescent Saberfish Flesh
		109693,	--	Draenic Dust
		116053,	--	Draenic Seeds
		115508,	--	Draenic Stone
		111671,	--	Enormous Abyssal Gulper Eel
		111670,	--	Enormous Blackwater Whiptail
		111674,	--	Enormous Blind Lake Sturgeon
		111601,	--	Enormous Crescent Saberfish
		111675,	--	Enormous Fat Sleeper
		111673,	--	Enormous Fire Ammonite
		111676,	--	Enormous Jawless Skulker
		118566,	--	Enormous Savage Piranha
		111672,	--	Enormous Sea Scorpion
		111668,	--	Fat Sleeper
		109139,	--	Fat Sleeper Flesh
		128499,	--	Fel Egg
		128500,	--	Fel Ham
		127759,	--	Felblight
		111666,	--	Fire Ammonite
		109141,	--	Fire Ammonite Tentacle
		109125,	--	Fireweed
		115504,	--	Fractured Temporal Crystal
		109124,	--	Frostweed
		119813,	--	Furry Caged Beast
		111366,	--	Gearspring Parts
		109126,	--	Gorgrond Flytrap
		109626,	--	Gorgrond Flytrap Ichor
		111556,	--	Hexweave Cloth
		111669,	--	Jawless Skulker
		109138,	--	Jawless Skulker Flesh
		119814,	--	Leathery Caged Beast
		111245,	--	Luminous Shard
		119810,	--	Meaty Caged Beast
		109128,	--	Nagrand Arrowbloom
		109628,	--	Nagrand Arrowbloom Petal
		120945,	--	Primal Spirit
		115002,	--	Raw Beast Hide
		110609,	--	Raw Beast Hide
		110610,	--	Raw Beast Hide Scraps
		109136,	--	Raw Boar Meat
		109131,	--	Raw Clefthoof Meat
		109134,	--	Raw Elekk Meat
		109135,	--	Raw Riverbeast Meat
		109132,	--	Raw Talbuk Meat
		109133,	--	Rylak Egg
		118472,	--	Savage Blood
		111665,	--	Sea Scorpion
		109142,	--	Sea Scorpion Segment
		111659,	--	Small Abyssal Gulper Eel
		111662,	--	Small Blackwater Whiptail
		111652,	--	Small Blind Lake Sturgeon
		111589,	--	Small Crescent Saberfish
		111651,	--	Small Fat Sleeper
		111656,	--	Small Fire Ammonite
		111650,	--	Small Jawless Skulker
		115502,	--	Small Luminous Shard
		118564,	--	Small Savage Piranha
		111658,	--	Small Sea Scorpion
		113264,	--	Sorcerous Air
		113263,	--	Sorcerous Earth
		113261,	--	Sorcerous Fire
		113262,	--	Sorcerous Water
		109127,	--	Starflower
		109627,	--	Starflower Petal
		111557,	--	Sumptuous Fur
		115524,	--	Taladite Crystal
		109129,	--	Talador Orchid
		109629,	--	Talador Orchid Petal
		113588,	--	Temporal Crystal
		114781,	--	Timber
		109991,	--	True Iron Nugget
		109119,	--	True Iron Ore
		108257,	--	Truesteel Ingot
		112377,	--	War Paints
		113111,	--	Warbinder's Ink
};