--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Archaeology.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Archaeology(iID) 
	for k, v in pairs(SmexyMats.ItemsFrom_Archaeology) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

function SmexyMats:IsFor_Archaeology(iID) 
	for k, v in pairs(SmexyMats.ItemsFor_Archaeology) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

--Archaeology is a source for these items.
SmexyMats.ItemsFrom_Archaeology = {
	--Keystones
		130903,	--	Ancient Suramar Scroll
		109585,	--	Arakkoa Cipher
		64394,	--	Draenei Tome
		108439,	--	Draenor Clan Orator Cane
		52843,	--	Dwarf Rune Stone
		63127,	--	Highborne Scroll
		130904,	--	Highmountain Ritual-Stone
		95373,	--	Mantid Amber Sliver
		130905,	--	Mark of the Deceiver
		79869,	--	Mogu Statue Piece
		64396,	--	Nerubian Obelisk
		109584,	--	Ogre Missive
		64392,	--	Orc Blood Text
		79868,	--	Pandaren Pottery Shard
		64397,	--	Tol'vir Hieroglyphic
		63128,	--	Troll Tablet
		64395,	--	Vrykul Rune Stick
	
	--Crafted Items
		89614,	--	Anatomical Dummy
		69776,	--	Ancient Amber
		117354,	--	Ancient Nest Guardian
		64355,	--	Ancient Shark Jaws
		64440,	--	Anklet with Golden Bells
		64456,	--	Arrival of the Naaru
		64348,	--	Atal'ai Scepter
		64453,	--	Baroque Sword Scabbard
		117382,	--	Beakbreaker of Terokk
		63121,	--	Beautiful Preserved Fern
		63113,	--	Belt Buckle with Anvilmar Crest
		63109,	--	Black Trilobite
		64481,	--	Blessing of the Old God
		64339,	--	Bodacious Door Knocker
		63112,	--	Bone Gaming Dice
		64646,	--	Bones of Transformation
		64340,	--	Boot Heel with Scrollwork
		64346,	--	Bracelet of Jade and Coins
		64657,	--	Canopic Jar
		64647,	--	Carcanet of the Hundred Magi
		64442,	--	Carved Harp of Exotic Wood
		64652,	--	Castle of Sand
		64653,	--	Cat Statue with Emerald Eyes
		63409,	--	Ceramic Funeral Urn
		64373,	--	Chalice of the Mountain Kings
		64379,	--	Chest of Tiny Glass Animals
		63524,	--	Cinnabar Bijou
		63407,	--	Cloak Clasp with Antlers
		64372,	--	Clockwork Gnome
		63525,	--	Coin from Eldre'Thalas
		64381,	--	Cracked Crystal Vial
		60847,	--	Crawling Claw
		64357,	--	Delicate Music Box
		64362,	--	Dented Shield of Horuz Killcrow
		64349,	--	Devilsaur Tooth
		64455,	--	Dignified Portrait
		64375,	--	Drakkari Sacrificial Knife
		64361,	--	Druid and Priest Statue Set
		66054,	--	Dwarven Baby Socks
		63523,	--	Eerie Smolderthorn Idol
		64656,	--	Engraved Scimitar Hilt
		64479,	--	Ewer of Jormungar Blood
		69764,	--	Extinct Turtle Shell
		64464,	--	Fanged Cloak Pin
		63413,	--	Feathered Gold Earring
		64385,	--	Feathered Raptor Arm
		63120,	--	Fetish of Hir'eek
		64436,	--	Fiendish Whip
		64421,	--	Fierce Wolf Figurine
		66058,	--	Fine Bloodscalp Dinnerware
		64454,	--	Fine Crystal Candelabra
		64462,	--	Flint Striker
		60955,	--	Fossilized Hatchling
		60954,	--	Fossilized Raptor
		117380,	--	Frostwolf Ghostpup
		64347,	--	Gahz'rilla Figurine
		64342,	--	Golden Chamber Pot
		64418,	--	Gray Candle Stub
		63528,	--	Green Dragon Ring
		64477,	--	Gruesome Heart Box
		64356,	--	Hairpin of Silver and Malachite
		69777,	--	Haunted War Drum
		116985,	--	Headdress of the First Shaman
		64644,	--	Headdress of the First Shaman
		63129,	--	Highborne Pyxis
		64358,	--	Highborne Soul Mirror
		64473,	--	Imprint of a Kraken Tentacle
		64476,	--	Infested Ruby Ring
		63130,	--	Inlaid Ivory Comb
		64350,	--	Insect in Amber
		64459,	--	Intricate Treasure Chest Key
		64344,	--	Ironstar's Petrified Shield
		63412,	--	Jade Asp with Ruby Eyes
		64354,	--	Kaldorei Amphora
		64383,	--	Kaldorei Wind Chimes
		63118,	--	Lizard Foot Charm
		95391,	--	Mantid Sky Reaver
		64417,	--	Maul of Stone Guard Mur'og
		64368,	--	Mithril Chain of Angerforge
		63414,	--	Moltenfist's Jeweled Goblet
		114190,	--	Mortar and Pestle
		66055,	--	Necklace with Elune Pendant
		64460,	--	Nifflevar Bearded Axe
		64337,	--	Notched Sword of Tunadil the Redeemer
		64881,	--	Pendant of the Scarab Storm
		63408,	--	Pewter Drinking Cup
		64659,	--	Pipe of Franclorn Forgewright
		64458,	--	Plated Elekk Goad
		64468,	--	Proto-Drake Skeleton
		69821,	--	Pterrordax Hatchling
		64482,	--	Puzzle Box of Yogg-Saron
		64643,	--	Queen Azshara's Dressing Gown
		89611,	--	Quilen Statuette
		64904,	--	Ring of the Boy Emperor
		64419,	--	Rusted Steak Knife
		63131,	--	Scandalous Silk Nightgown
		64883,	--	Scepter of Azj'Aqir
		64487,	--	Scepter of Bronzebeard
		64367,	--	Scepter of Charlga Razorflank
		64420,	--	Scepter of Nekros Skullcrusher
		64475,	--	Scepter of Nezar'Azret
		64444,	--	Scepter of the Nathrezim
		64382,	--	Scepter of Xavius
		64885,	--	Scimitar of the Sirocco
		64366,	--	Scorched Staff of Shadow Priest Anund
		64461,	--	Scramseax
		66056,	--	Shard of Petrified Wood
		63526,	--	Shattered Glaive
		64483,	--	Silver Kris of Korl
		63411,	--	Silver Neck Torc
		64648,	--	Silver Scroll Case
		64478,	--	Six-Clawed Cornice
		64658,	--	Sketch of a Desert Palace
		64438,	--	Skull Drinking Cup
		64371,	--	Skull Staff of Shadowforge
		64345,	--	Skull-Shaped Planter
		64654,	--	Soapstone Scarab Necklace
		95392,	--	Sonic Pulse Generator
		117385,	--	Sorcerer-King Toe Ring
		89685,	--	Spear of Xuen
		64474,	--	Spidery Sundial
		64485,	--	Spiked Gauntlets of Anvilrage
		64880,	--	Staff of Ammunae
		64489,	--	Staff of Sorcerer-Thane Thaurissan
		63410,	--	Stone Gryphon
		64443,	--	Strange Silver Paperweight
		66057,	--	Strange Velvet Worm
		64378,	--	String of Small Pink Pearls
		64488,	--	The Innkeeper's Daughter
		64457,	--	The Last Relic of Argus
		64467,	--	Thorned Necklace
		64437,	--	Tile of Glazed Clay
		64389,	--	Tiny Bronze Scorpion
		64655,	--	Tiny Oasis Mosaic
		64374,	--	Tooth with Gold Filling
		63527,	--	Twisted Ammonite Shell
		64645,	--	Tyrande's Favorite Doll
		64650,	--	Umbra Crescent
		89684,	--	Umbrella of Chi-Ji
		64387,	--	Vicious Ancient Fish
		64480,	--	Vizier's Scrawled Streamer
		69824,	--	Voodoo Figurine
		69775,	--	Vrykul Drinking Horn
		64484,	--	Warmaul of Burningeye
		117384,	--	Warmaul of the Warmaul Chieftain
		64343,	--	Winged Helm of Corehammer
		64651,	--	Wisp Amulet
		63111,	--	Wooden Whistle
		64486,	--	Word of Empress Zoe
		63110,	--	Worn Hunting Knife
		63115,	--	Zandalari Voodoo Doll
		64377,	--	Zin'rokh, Destroyer of Worlds
};

--These items are reagents for Archaeology.
SmexyMats.ItemsFor_Archaeology = {
	130903,	--	Ancient Suramar Scroll
	109585,	--	Arakkoa Cipher
	64394,	--	Draenei Tome
	108439,	--	Draenor Clan Orator Cane
	52843,	--	Dwarf Rune Stone
	63127,	--	Highborne Scroll
	130904,	--	Highmountain Ritual-Stone
	95373,	--	Mantid Amber Sliver
	130905,	--	Mark of the Deceiver
	79869,	--	Mogu Statue Piece
	64396,	--	Nerubian Obelisk
	109584,	--	Ogre Missive
	64392,	--	Orc Blood Text
	79868,	--	Pandaren Pottery Shard
	64397,	--	Tol'vir Hieroglyphic
	63128,	--	Troll Tablet
	64395,	--	Vrykul Rune Stick
};